Recompute net gain/loss
curl --request POST \
--url https://api.breezing.io/v1/ngl/calculate \
--header 'Content-Type: application/json' \
--data '
{
"isPerWallet": true,
"tokens": [
"<string>"
],
"wallets": [
1
],
"toDate": "2025-12-31 23:59:59"
}
'import requests
url = "https://api.breezing.io/v1/ngl/calculate"
payload = {
"isPerWallet": True,
"tokens": ["<string>"],
"wallets": [1],
"toDate": "2025-12-31 23:59:59"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
isPerWallet: true,
tokens: ['<string>'],
wallets: [1],
toDate: '2025-12-31 23:59:59'
})
};
fetch('https://api.breezing.io/v1/ngl/calculate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/ngl/calculate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'isPerWallet' => true,
'tokens' => [
'<string>'
],
'wallets' => [
1
],
'toDate' => '2025-12-31 23:59:59'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/ngl/calculate"
payload := strings.NewReader("{\n \"isPerWallet\": true,\n \"tokens\": [\n \"<string>\"\n ],\n \"wallets\": [\n 1\n ],\n \"toDate\": \"2025-12-31 23:59:59\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/ngl/calculate")
.header("Content-Type", "application/json")
.body("{\n \"isPerWallet\": true,\n \"tokens\": [\n \"<string>\"\n ],\n \"wallets\": [\n 1\n ],\n \"toDate\": \"2025-12-31 23:59:59\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/ngl/calculate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"isPerWallet\": true,\n \"tokens\": [\n \"<string>\"\n ],\n \"wallets\": [\n 1\n ],\n \"toDate\": \"2025-12-31 23:59:59\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"started": true,
"method": "average",
"isPerWallet": true,
"note": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Gain/Loss
Calculate Net Gain/Loss API
Recompute Breezing realized and unrealized net gain or loss across crypto transactions using the company’s cost basis method.
POST
/
ngl
/
calculate
Recompute net gain/loss
curl --request POST \
--url https://api.breezing.io/v1/ngl/calculate \
--header 'Content-Type: application/json' \
--data '
{
"isPerWallet": true,
"tokens": [
"<string>"
],
"wallets": [
1
],
"toDate": "2025-12-31 23:59:59"
}
'import requests
url = "https://api.breezing.io/v1/ngl/calculate"
payload = {
"isPerWallet": True,
"tokens": ["<string>"],
"wallets": [1],
"toDate": "2025-12-31 23:59:59"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
isPerWallet: true,
tokens: ['<string>'],
wallets: [1],
toDate: '2025-12-31 23:59:59'
})
};
fetch('https://api.breezing.io/v1/ngl/calculate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/ngl/calculate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'isPerWallet' => true,
'tokens' => [
'<string>'
],
'wallets' => [
1
],
'toDate' => '2025-12-31 23:59:59'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/ngl/calculate"
payload := strings.NewReader("{\n \"isPerWallet\": true,\n \"tokens\": [\n \"<string>\"\n ],\n \"wallets\": [\n 1\n ],\n \"toDate\": \"2025-12-31 23:59:59\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/ngl/calculate")
.header("Content-Type", "application/json")
.body("{\n \"isPerWallet\": true,\n \"tokens\": [\n \"<string>\"\n ],\n \"wallets\": [\n 1\n ],\n \"toDate\": \"2025-12-31 23:59:59\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/ngl/calculate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"isPerWallet\": true,\n \"tokens\": [\n \"<string>\"\n ],\n \"wallets\": [\n 1\n ],\n \"toDate\": \"2025-12-31 23:59:59\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"started": true,
"method": "average",
"isPerWallet": true,
"note": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Query Parameters
Body
application/json
Last modified on May 3, 2026